Bug 104724 - [CI] igt@kms_ccs@pipe-[a|b|c]-crc-sprite-planes-basic - Fail - CRC mismatch
Summary: [CI] igt@kms_ccs@pipe-[a|b|c]-crc-sprite-planes-basic - Fail - CRC mismatch
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: IGT (show other bugs)
Version: DRI git
Hardware: Other All
: high normal
Assignee: Ville Syrjala
QA Contact:
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks: 105978
  Show dependency treegraph
 
Reported: 2018-01-22 08:08 UTC by Marta Löfstedt
Modified: 2018-08-31 09:54 UTC (History)
1 user (show)

See Also:
i915 platform: BXT, GLK, KBL
i915 features: display/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Marta Löfstedt 2018-01-23 10:06:08 UTC
Note, Ville had a bunch of sprite plane related patches integrated on CI_DRM_3657.
Comment 2 Ville Syrjala 2018-01-25 11:31:46 UTC
commit 872fd8f21e22a3ca49739b67c47c6665da450dbf
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Tue Jan 23 20:40:05 2018 +0200

    tests/kms_ccs: Grab the CRC when the plane is actually enabled
Comment 3 Marta Löfstedt 2018-01-25 13:08:28 UTC
Thanks Ville. I assign this to my self and close when green results starts coming in.
Comment 4 Marta Löfstedt 2018-01-26 07:46:54 UTC
(In reply to Ville Syrjala from comment #2)
> commit 872fd8f21e22a3ca49739b67c47c6665da450dbf
> Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
> Date:   Tue Jan 23 20:40:05 2018 +0200
> 
>     tests/kms_ccs: Grab the CRC when the plane is actually enabled

Ville, now the testes are skipped again, was that the intention of the patch?

https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4181/shard-apl2/igt@kms_ccs@pipe-a-crc-sprite-planes-basic.html

IGT-Version: 1.21-g872fd8f2 (x86_64) (Linux: 4.15.0-rc9-CI-CI_DRM_3683+ x86_64)
i915 CCS modifier not supported by kernel for plane
Subtest pipe-A-crc-sprite-planes-basic: SKIP (0.203s)

which is the same skip as before the kernel patches, see:
 https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4159/shard-apl1/igt@kms_ccs@pipe-a-crc-sprite-planes-basic.html
Comment 5 Marta Löfstedt 2018-02-07 13:16:14 UTC
Sent 2 patchwork
https://patchwork.freedesktop.org/series/37804/
run these tests on BAT to see if we have any machine that support all required format and/or modifiers to not skip the tests on CURSOR 

Patch to stop running the test on cursor:
https://patchwork.freedesktop.org/series/37805/
Comment 6 Marta Löfstedt 2018-02-07 14:19:06 UTC
Ville already has this fixed in:

https://patchwork.freedesktop.org/series/37207/

so, no need for my suggestions in previous comment.
Comment 7 Marta Löfstedt 2018-02-07 14:19:50 UTC
Villes patch is reviewed, I will take this to monitor once it is merged to IGT
Comment 8 Marta Löfstedt 2018-02-08 07:25:12 UTC
Since the patches are still not merged I assign this bug back to Ville again.
Comment 9 Ville Syrjala 2018-02-09 20:43:27 UTC
commit 4f29dca555cc20af092c563c39ba2b62dfa1972c
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Fri Jan 26 21:45:24 2018 +0200

    tests/kms_ccs: Don't skip the entire subtest if one plane can't do CCS
    
    Make sure we test every plane on the pipe, and only report a SKIP
Comment 10 Marta Löfstedt 2018-02-12 08:59:27 UTC
fix integrated to IGT_4232 results are green, thanks Ville.
Comment 11 Marta Löfstedt 2018-03-12 11:03:11 UTC
Re-opened due to results from CNL and CFL:

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3903/fi-cnl-drrs/igt@kms_ccs@pipe-c-crc-sprite-planes-basic.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3903/fi-cnl-y3/igt@kms_ccs@pipe-c-crc-sprite-planes-basic.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3903/fi-cnl-drrs/igt@kms_ccs@pipe-c-crc-primary-rotation-180.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3903/fi-cnl-drrs/igt@kms_ccs@pipe-c-crc-primary-basic.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3903/fi-cnl-y3/igt@kms_ccs@pipe-c-crc-primary-basic.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3903/fi-cnl-drrs/igt@kms_ccs@pipe-b-crc-sprite-planes-basic.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3903/fi-cnl-y3/igt@kms_ccs@pipe-b-crc-sprite-planes-basic.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3903/fi-cnl-drrs/igt@kms_ccs@pipe-b-crc-primary-rotation-180.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3903/fi-cnl-y3/igt@kms_ccs@pipe-b-crc-primary-rotation-180.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3903/fi-cnl-drrs/igt@kms_ccs@pipe-b-crc-primary-basic.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3903/fi-cnl-y3/igt@kms_ccs@pipe-b-crc-primary-basic.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3903/fi-cnl-drrs/igt@kms_ccs@pipe-a-crc-sprite-planes-basic.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3903/fi-cnl-y3/igt@kms_ccs@pipe-a-crc-sprite-planes-basic.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3903/fi-cnl-drrs/igt@kms_ccs@pipe-a-crc-primary-rotation-180.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3903/fi-cnl-y3/igt@kms_ccs@pipe-a-crc-primary-rotation-180.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3903/fi-cnl-drrs/igt@kms_ccs@pipe-a-crc-primary-basic.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3903/fi-cnl-y3/igt@kms_ccs@pipe-a-crc-primary-basic.html
Comment 12 Hector Velazquez 2018-03-13 17:05:20 UTC
This tests has failed on CNL QA 

Tests List:
igt@kms_ccs@pipe-A-crc-primary-basic
igt@kms_ccs@pipe-A-crc-primary-rotation-180
igt@kms_ccs@pipe-A-crc-sprite-planes-basic
igt@kms_ccs@pipe-B-crc-primary-basic
igt@kms_ccs@pipe-B-crc-primary-rotation-180
igt@kms_ccs@pipe-B-crc-sprite-planes-basic
igt@kms_ccs@pipe-C-crc-primary-basic
igt@kms_ccs@pipe-C-crc-primary-rotation-180
igt@kms_ccs@pipe-C-crc-sprite-planes-basic

output sample:
. . .
kms_ccs:9679) igt-debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file igt_debugfs.c:370:
(kms_ccs:9679) igt-debugfs-CRITICAL: Failed assertion: !mismatch
Subtest pipe-C-crc-sprite-planes-basic failed.
. . .

software:
IGT-Version: 1.21-g43d7c05 (x86_64) (Linux: 4.16.0-rc4-drm-intel-qa-ww10-commit-970ee17+ x86_64)
Comment 14 Hector Velazquez 2018-04-12 15:07:08 UTC
This tests was failing on CNL QA

Test list:
igt@kms_ccs@pipe-A-crc-primary-basic
igt@kms_ccs@pipe-A-crc-primary-rotation-180
igt@kms_ccs@pipe-A-crc-sprite-planes-basic
igt@kms_ccs@pipe-B-crc-primary-basic
igt@kms_ccs@pipe-B-crc-primary-rotation-180
igt@kms_ccs@pipe-B-crc-sprite-planes-basic
igt@kms_ccs@pipe-C-crc-primary-basic
igt@kms_ccs@pipe-C-crc-primary-rotation-180
igt@kms_ccs@pipe-C-crc-sprite-planes-basic

output sample:
. . .
(kms_ccs:1541) igt-debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file igt_debugfs.c:370:
(kms_ccs:1541) igt-debugfs-CRITICAL: Failed assertion: !mismatch
Subtest pipe-A-crc-primary-basic failed.
. . .

software:
IGT-Version: 1.22-g2ef96ec (x86_64) (Linux: 4.16.0-rc7-drm-tip-ww15-commit-d123888+ x86_64)
Comment 15 Lakshmi 2018-08-31 09:54:26 UTC
This issue used to occur on every round. Last time this issue occurred 1 month 3 weeks ago. Closing this bug.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.